#
# spec file for package pam_ldap (Version 180)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pam_ldap
BuildRequires:  krb5 openldap2 openldap2-devel pam-devel
License:        LGPL v2.1 or later
Group:          Productivity/Networking/LDAP/Clients
AutoReqProv:    on
Version:        180
Release:        13.24.43
Summary:        A PAM Module for LDAP Authentication
Url:            http://www.padl.com/OSS/pam_ldap.html
Source:         pam_ldap-%{version}.tar.bz2
Source1:        README.SuSE
Patch:          pam_ldap.patch
Patch1:         pam_ldap-ppolicy-fixes.diff
Patch2:         pam_ldap-ppolicy-referral-fix.dif
Patch3:         pam_ldap-set_pam_user.dif
Patch4:         pam_ldap-sasl-rebind-proc.dif
Patch5:         pam_ldap-ldap_start_tls_async.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a PAM Module that handles LDAP. The advantages of this pecular
version are:

Possibility to change LDAP passwords in the directory

Compatibility with the nss_ldap configuration file format



Authors:
--------
    PADL Software Pty Ltd <dev@padl.com>

%prep
%setup
%patch -E
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
cp -v  %{S:1} .
%{suse_update_libdir README pam_ldap.c pam.conf}

%build
%{suse_update_config -f}
autoreconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --enable-nds \
                                    --with-ldap-lib=openldap \
				    --libdir=/%{_lib} \
                                    --mandir=%{_mandir} \
				    --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/etc/ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.LIB README README.SuSE ChangeLog ldap.conf pam.d
%doc %{_mandir}/man5/pam_ldap*
/%{_lib}/security/pam_ldap.so

%changelog
* Tue Oct 19 2010 rhafer@novell.com
- Use asynchronous ldap_start_tls function with a timeout to
  prevent pam_ldap blocking infinitely upon connection problems
  (bnc#646409, bnc#571168)
* Tue Jul 28 2009 rhafer@novell.com
- Fixes crasher when referrals need to be chased while looking up
  the user's LDAP DN (bnc#523983, relates to PADL-Bug#232)
* Mon May 18 2009 rhafer@novell.com
- Set PAM_USER to the username as stored in the LDAP Attribute, to
  avoid problems when the username was entered in a different
  capitalization (bnc#444624).
* Tue Dec 11 2007 rhafer@suse.de
- Updating expired passwords in master-slave enviroments that use
  referrals did not work correctly. (Bug #340989)
* Thu Jan 25 2007 rhafer@suse.de
- reworked ppolicy-patch to return PAM_NEW_AUTHTOK_REQD when the
  admin resetted the user's password (Bug #238674)
* Fri Oct 20 2006 rhafer@suse.de
- don't suppress password policy errors which should not be
  suppressed (Bug #210158, CVE-2006-5170)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 rhafer@suse.de
- updated to version 180
* Thu Aug 18 2005 rhafer@suse.de
- when handling new password policy control, only fall through
  to account management module if a policy error was returned
  (Bug #105118)
* Tue Aug 16 2005 rhafer@suse.de
- Honour "ssl start_tls" when chasing referrals (Bug #94355)
* Tue Mar 29 2005 rhafer@suse.de
- update to version 178
* Fri Oct 15 2004 rhafer@suse.de
- Update to version 176
* Sat Mar 13 2004 kukuk@suse.de
- Update to version 169
- Add workaround for [Bug #34389]
* Thu Feb  5 2004 sbrabec@suse.cz
- Updated to version 167.
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
- Build as user
* Mon Aug 11 2003 sbrabec@suse.cz
- Updated to version 164.
* Mon Jul 14 2003 sbrabec@suse.cz
- Changed path to ldap.conf to /etc (bug #27528).
* Mon Jun  2 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 15 2003 ro@suse.de
- fixed neededforbuild
* Sat Mar  8 2003 kukuk@suse.de
- Add workaround for KDM Bug [Bug #24931]
* Thu Feb 20 2003 kukuk@suse.de
- Fix base and scope values if we have an nss_base_passwd option
  without scope
* Thu Feb 20 2003 rhafer@suse.de
- Fix off-by-one bug in _read_config (nss_base_passwd option)
* Thu Feb 13 2003 kukuk@suse.de
- Fix seg.fault if conversion function returns NULL.
* Mon Feb 10 2003 sbrabec@suse.cz
- Removed /etc/openldap from %%files.
* Mon Feb 10 2003 sbrabec@suse.cz
- Updated to version 159.
* Wed Jan 15 2003 ro@suse.de
- use sasl2
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Aug 26 2002 rhafer@suse.de
- LDAP_FILT_MAXSIZ isn't defined in libldap anymore
* Tue Jul 16 2002 kukuk@suse.de
- Update to pam_ldap 150 (lot of small bug fixes)
* Thu Mar 21 2002 kukuk@suse.de
- Fix docu, add hint about new pam_unix2.conf configuration
* Mon Feb  4 2002 tcrhak@suse.cz
- update to version 137, used %%{_lib}
* Tue Jan 15 2002 kukuk@suse.de
- Update to version 135 (correct uid check)
- Fix "use_first_pass" option (check if old password was really
  set, set old token earlier)
* Sat Jan 12 2002 kukuk@suse.de
- Fix broken PAM config files
- Use pam_unix2.so
* Tue Dec  4 2001 tcrhak@suse.cz
- update to version 134
* Tue Aug  7 2001 cihlar@suse.cz
- update to version 122
- added Url
* Wed Jun 20 2001 pblaha@suse.cz
- update on version 118
* Mon May  7 2001 kukuk@suse.de
- Fix more example config files (get ride of pam_pwdb, use
  correct pam_unix options)
* Fri Apr 27 2001 kukuk@suse.de
- Fix name of config option
- Don't print "Error: success" if we are no LDAP user
- Fix example config files (module stacking, syntax error)
* Wed Mar 21 2001 ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 pblaha@suse.cz
- update on version 105
- add buildroot
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 27 2001 ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Jan 31 2001 choeger@suse.de
- link against ldaplib2
* Tue Dec  5 2000 kukuk@suse.de
- Update to version 82
- Don't log user name of failed logins
* Sat Nov  4 2000 kukuk@suse.de
- Use ldaplib in neededforbuild
* Wed Sep 27 2000 kukuk@suse.de
- Fix sshd example
* Wed May 17 2000 kukuk@suse.de
- Update to version 51
- Adjust example pam config files (Bug 2862)
* Tue Feb 15 2000 kukuk@suse.de
- Update to version 46
* Tue Oct 12 1999 kukuk@suse.de
- Update to version 42
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 kukuk@suse.de
- Update to version 39
* Mon Jul 12 1999 kukuk@suse.de
- Add README.SuSE and ldap.conf to documentation
- Create /etc/openldap directory
* Fri Jun 25 1999 kukuk@suse.de
- Update to version 36
* Wed Jun 16 1999 kukuk@suse.de
- First Version
